<?xml version="1.0" encoding="UTF-8"?>
<refentry version="5.0-subset Scilab" xml:id="ann_get_shape_of_sub_pattern" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:xi="http://www.w3.org/2001/XInclude"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:html="http://www.w3.org/1999/xhtml"
          xmlns:db="http://docbook.org/ns/docbook">

  <!-- id: krui_GetShapeOfSubPattern - DOT NOT MODIFY OR DELETE THIS LINE -->
  <!-- comments: krui_err krui_GetShapeOfSubPattern(int*, int*, int*, int*, int);
/*****************************************************************************
  FUNCTION : ann_get_shape_of_sub_pattern
  PURPOSE  :
  
  Get shape of sub pattern {n_pos} using current set,
             current pattern and current train scheme (defined with
             ann_def_train_sub_pat)
  RETURNS  :
  NOTES    :
  UPDATE   :
******************************************************************************/ -->
  <refnamediv>
    <refname>ann_get_shape_of_sub_pattern</refname>

    <refpurpose>Get shape of sub pattern {n_pos} using current set, current
    pattern and current train scheme (defined with ann_def_train_sub_pat)
    </refpurpose>
    
    </refnamediv>

  <refsynopsisdiv>
    <title>Calling Sequence</title>

    <synopsis>[insize, outsize, inpos, outpos] = ann_get_shape_of_sub_pattern(network, n_pos);</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Input parameters</title>

    <variablelist>
      <varlistentry>
        <term>network</term>

        <listitem>
          <para>Instance of neural network</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>n_pos</term>

        <listitem>
          <para>n position</para>
        </listitem>
      </varlistentry>


    </variablelist>
  </refsection>


  <refsection>
    <title>Output parameters</title>

    <variablelist>

      <varlistentry>
        <term>insize</term>

        <listitem>
          <para>Input sub pattern size</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>outsize</term>

        <listitem>
          <para>Output sub pattern size</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>inpos</term>

        <listitem>
          <para>Input sub pattern position</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>outpos</term>

        <listitem>
          <para>Output sub pattern position</para>
        </listitem>
      </varlistentry>

    </variablelist>
  </refsection>



  <refsection>
    <title>Description</title>

    <para>No description</para>
  </refsection>

  <refsection>
    <title>Examples</title>

    <programlisting role="example"> 
    Usage example
    </programlisting>
  </refsection>

  <refsection>
    <title>See Also</title>

    <simplelist type="inline">
        <member><link linkend="">name</link></member>

    </simplelist>
  </refsection>

  <refsection>
    <title>Authors</title>

    <simplelist type="vert">
      <member>Emmanuel GOOSSAERT</member>
      <member>Yann COLLETTE</member>

    </simplelist>
  </refsection>
</refentry>
